Skip to main content
GET
https://api.aisa.one/apis/v1
/
instagram
/
search
/
profiles
Search Profiles
curl --request GET \
  --url https://api.aisa.one/apis/v1/instagram/search/profiles \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "credits_remaining": 49997308061,
  "query": "fitness coach",
  "profiles": [
    {
      "id": "188767259",
      "username": "charliejohnsonfitness",
      "full_name": "Worlds #1 Fitness Business Coach",
      "biography": "DM me “PAID” \nLearn how 1,000+ Fitness Coaches use my Paid Attention System™️ as their NEW way to acquire high ticket clients\n33 clients hit $100kpcm👇",
      "bio_links": [
        {
          "title": "Install the Paid Attention System™️",
          "lynx_url": "https://l.instagram.com/?u=https%3A%2F%2Fwww.7fss.com%2Fstep-1-copy%3Fel%3DIGBIOLINK%23open-popup&e=AUDL6mrGFNwwqQ5OS_ykY3196_aDgP3WevjzLFx8G7jkeMCdaQ34LYoLtaVthGp5x_sy5PqmCVr0QYah1cAfHJMPL2tvSClY",
          "url": "https://www.7fss.com/step-1-copy?el=IGBIOLINK#open-popup",
          "link_type": "external"
        }
      ],
      "external_url": "https://www.7fss.com/step-1-copy?el=IGBIOLINK",
      "is_private": false,
      "is_verified": true,
      "is_business_account": true,
      "is_professional_account": true,
      "category_name": "Coach",
      "profile_pic_url": "https://instagram.fdet3-1.fna.fbcdn.net/v/t51.2885-19/444225908_1202724841095492_3262096613222025830_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=instagram.fdet3-1.fna.fbcdn.net&_nc_cat=100&_nc_oc=Q6cZ2gFTVWoQPCqNLj-erLzu1cFdO0-uazC-7j664y34QW50PvMRgi9toNMv94miQw1IPKU&_nc_ohc=5TYJtJtx0VQQ7kNvwGUcUOD&_nc_gid=jNVLQonLp3nF-24qe_urog&edm=AOQ1c0wBAAAA&ccb=7-5&oh=00_Af4AKr0x8tmEMoxUpNl7z-oM-KqiNxXQVavhCSJSzfJCjg&oe=6A1D2C23&_nc_sid=8b3546",
      "follower_count": 503332,
      "following_count": 6541,
      "media_count": 8387,
      "url": "https://www.instagram.com/charliejohnsonfitness/",
      "matched_from": "profile",
      "google_title": "Worlds #1 Fitness Business Coach (@charliejohnsonfitness) - Instagram",
      "google_description": "His name is Peter Doyle. His business does millions every single month and he's about to close the biggest capital raise of his career. He could have called ..."
    }
  ],
  "cursor": "2"
}
Search for profiles by name or keyword.

Example

curl "https://api.aisa.one/apis/v1/instagram/search/profiles?query=VALUE" \
  -H "Authorization: Bearer YOUR_API_KEY"

Authorizations

Authorization
string
header
required

AIsa API key. Get yours at https://aisa.one

Query Parameters

query
string
required

Bio or caption keyword/phrase to search for.

cursor
string

The cursor returned by the previous response. In this version, it is the next Google results page number.

Response

200 - application/json

Successful response